package com.iformall.domain.dto;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Id;
import javax.persistence.Transient;
/**
 * 用户查询dto
 * @author jinguo
 *
 */
public class WxCUserBasicInfoDto implements Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = -1116465873573690766L;

	@Id
	protected Long id;
	
	@io.swagger.annotations.ApiModelProperty(value="开始时间",name="startTime")
	private Date startTime;
	
	@io.swagger.annotations.ApiModelProperty(value="结束时间",name="endTime")
	private Date endTime;
	
	@io.swagger.annotations.ApiModelProperty(value="手机号",name="phone")
	private String phone;
	
	@io.swagger.annotations.ApiModelProperty(value="姓名",name="name")
	private String name;
	
	/*租户id**/
//	@io.swagger.annotations.ApiModelProperty(value="租户id",name="tenantId")
	@Transient
	private String tenantId;
	
	@Transient
	private Date birthStartTime;

	@Transient
	private Date birthEndTime;

	@Transient
	private Integer levelStartScore;
	@Transient
	private Integer levelEndScore;

	@Transient
	private Integer sex;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}
	
	public Date getBirthStartTime() {
		return birthStartTime;
	}

	public void setBirthStartTime(Date birthStartTime) {
		this.birthStartTime = birthStartTime;
	}

	public Date getBirthEndTime() {
		return birthEndTime;
	}

	public void setBirthEndTime(Date birthEndTime) {
		this.birthEndTime = birthEndTime;
	}

	public Integer getSex() {
		return sex;
	}

	public void setSex(Integer sex) {
		this.sex = sex;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getTenantId() {
		return tenantId;
	}

	public void setTenantId(String tenantId) {
		this.tenantId = tenantId;
	}

	public Date getStartTime() {
		return startTime;
	}

	public void setStartTime(Date startTime) {
		this.startTime = startTime;
	}

	public Date getEndTime() {
		return endTime;
	}

	public void setEndTime(Date endTime) {
		this.endTime = endTime;
	}

	public String getPhone() {
		return phone;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}


	public Integer getLevelEndScore() {
		return levelEndScore;
	}

	public void setLevelEndScore(Integer levelEndScore) {
		this.levelEndScore = levelEndScore;
	}

	public Integer getLevelStartScore() {

		return levelStartScore;
	}

	public void setLevelStartScore(Integer levelStartScore) {
		this.levelStartScore = levelStartScore;
	}
	
}
